minsize = 100; 
maxsize = 1000; 
dataName={'amazon','dblp100','dblp',  'friendster', 'lj', 'orkut', 'youtube'};
H = [];
gamma = [];
group = [];
legendIds = [];
for dataNameIndex = 1:length(dataName)
    d = char(dataName(dataNameIndex));
    try
        if strcmp(d, 'dblp100')
            load(['../results/result_multiComm_dblp_100_1000_1sample100_v2.mat']);
        else
            try
                load(['../results/result_multiComm_'  d '_100_1000_1sample500_v2.mat']);
            catch
                load(['../results/result_multiComm_'  d '_100_1000_1sample500.mat']);
            end
        end
        len = nan(1,length(res));
        for i=1:length(res)
            len(i) = length(res(i).members);
        end
        H = [H [res(:).p1]./len];
        gamma = [gamma [res(:).p2]./len];
        group = [group ones(1, length(len))*dataNameIndex];
        legendIds = [legendIds dataNameIndex];
    catch e
        disp(e.message);
    end
end

 
dataNameLegend={'Amazon' ,'DBLP(100)','DBLP', 'Friendster ', '  LiveJournal', 'Orkut', 'YouTube'};
%set(gca, 'FontSize', 12);
figure;boxplot(H, group,'labels',dataNameLegend(legendIds));ylabel('H relative to community size'); ylim([-0.01,1.01]);
%set(gca, 'FontSize', 12);
%figure;boxplot(gamma, group,'labels',dataNameLegend(legendIds));ylabel('\gamma  relative to community size'); ylim([-0.01,1.01]);
set(gca, 'FontSize', 10);
pbaspect
        