dataset = {'polbooks', 'jazz', 'Erdos971', 'email'};
ks = [ 6 5 8 10];
for i=1:length(ks);
    d = char(dataset(i));
    k = ks(i);
    load(['../data/' d '.mat'], 'Problem');X = Problem.A;
    fileID = fopen(['../data/' d '.egdeList'],'w');
    for j=1:size(X,1)
        I = find( and( X(j,:)>0,  X(j,:)~=Inf) );
        for node = I
            fprintf(fileID,'%d %d\n',j-1,node-1); % switch to 0-based index
        end
    end
    fclose(fileID);
    fileID = fopen(['../data/' d '.config'],'w');
    fprintf(fileID,'edgelistfile = ../data/%s.egdeList\n', d);
    fprintf(fileID,'outputfile = ../data/%s.csv\n', d);
    fprintf(fileID,'numEdges = %d\n', nnz(X));
    fprintf(fileID,'numDimensions = 2\n');
    fprintf(fileID,'dimensionSize0 = %d\n', size(X,1));
    fprintf(fileID,'dimensionSize1 = %d\n', size(X,2));
    fprintf(fileID,'shape = hyperbola\n');
    fprintf(fileID,'sharedDimension0 = 0\n');
    fprintf(fileID,'sharedDimension1 = 0\n');    
    fclose(fileID);
end