function result = getCommunityStatisticsForPartialCommunity(...
          graph, comm, p1, p2, communityMemberTest)
% takes also the rest of the graph as noise into account
res = getCommunityStatistics(comm, p1, p2, communityMemberTest);
observed1sInside = res(1);
expectedAreaInside = res(3);
partAreaOutside = res(4);
observed1sOutside = nnz(triu(graph)) - observed1sInside;
l = length(graph);
N = length(comm);
expectedAreaOutside = partAreaOutside + 0.5*(l^2-N^2-l+N);
result = [observed1sInside, observed1sOutside, ...
          expectedAreaInside, expectedAreaOutside];
end

