    minsize = 100; 
    maxsize = Inf; 
    
    for dataName={ 'friendster'}%'youtube', 'amazon', 'lj', 'orkut',  'dblp',
        d = char(dataName);
        disp(d);
        if strcmp(d,'friendster')
            dataset = ['../data/com-' d '.ungraph.at_least_150.txt'];
            communityInfo = ['../data/com-' d '.at_least_150.consecutive.txt'];
        else
            dataset = ['../data/com-' d '.ungraph.txt'];
            communityInfo = ['../data/com-' d '.all.cmty.txt'];
        end
        skiplines = 4;            
        if exist(['../data/' d '_100_300.mat'], 'file')
            load(['../data/' d '_100_300.mat']);
            [communities, graph, commVec] = readCommunities(...
                dataset, communityInfo, skiplines, minsize, maxsize, graph);
        else
            [communities, graph, commVec] = readCommunities(...
                dataset, communityInfo, skiplines, minsize, maxsize);
        end
        % small ones first
        [~,indices] = sort(cellfun('length', commVec), 'ascend');
        communities=communities(indices);
        commVec = commVec(indices);
        save(['../data/' d '_' int2str(minsize) '_' int2str(maxsize) '.mat'],...
            'graph', 'commVec', 'communities','-v7.3');
    end
  