%pathToDataSet = '../data/CA-GrQc.txt';
%numberOfHeaderLines = 4;
% pathToDataSet = '../data/facebook_combined.txt';
% numberOfHeaderLines = 0;
% 
% edges = dlmread(pathToDataSet, '', numberOfHeaderLines, 0); 
% rows = edges(:,1);
% indexFix = 1-min(rows);
% rows = rows+indexFix;
% cols = edges(:,2)+indexFix;
% val = ones(length(edges),1);
% X = sparse([rows;cols],[cols;rows],[val;val]);
% X(X>=1) = 1; % apparently val is increased if the row/col combination is added more than once
% figure;scatter ([rows;cols],[cols;rows]);
% k =10;


load('../data/polbooks.mat', 'Problem');X = Problem.A;
k=6;
%load('../data/jazz.mat', 'Problem');X = Problem.A;X(X>=1) = 1; %not suitable
%k=5;
%load('../data/email.mat', 'Problem');X = Problem.A;
%k=10;
%load('../data/Erdos971.mat', 'Problem');X = Problem.A; X =(X(sum(X) >1,sum(X) >1));
%k=8;

tic
clusterAssignment = spectclust(X, k, 'Replicates', 5, 'start', 'cluster');
toc
a=hist(clusterAssignment,unique(clusterAssignment))
order = [];
for i=1:k
    order = [order; find(clusterAssignment==i)];
end
imagesc(X(order,order));
comms = repmat(struct('p1',0), k, 1 );
 for i=1:k
    comms(i).p2=floor(a(i)/2-1);
    comms(i).paramType='H,gamma';
    commVec = find(clusterAssignment==i);
    [comms(i).comm, ord] = degree_ord(X(commVec,commVec));
    comms(i).members = commVec(ord);
 end
           
res=improveModel(X, comms, true);

blockComms = repmat(struct('p1',0), k, 1 );
for i=1:k
    blockComms(i).p1=length(comms(i))-1;
    blockComms(i).p2=length(comms(i))-1;
    blockComms(i).paramType='H,gamma';
    blockComms(i).members = comms(i).members;
    blockComms(i).model = makeCommunity(length(blockComms(i).members),blockComms(i).p1, blockComms(i).p2 , getCondition(blockComms(i).paramType));
end

LL = computeLLOfGraph(X,res)
blockLL = computeLLOfGraph(X,blockComms)
 for i=1:k
    plotCommunity(res(i));
 end
D = 2*(LL-blockLL);
fprintf('%.1f\n', D);

 